<?php

App::uses('Component', 'Controller');

/**
 * Site Setting component
 *
 * Doesn't do much appart load any site settings from the SiteSetting table 
 * and makes them available to Configure::read('SiteSetting.foo') 
 * 
 * @package CoreCMS/SiteSetting
 */
class SiteSettingsComponent extends Component {

	/**
	 * create config entries for each site setting
	 */	
	public function initialize(Controller $controller) {
		
		$controller->loadModel('SiteSettings.SiteSetting');
		
		$settings = $controller->SiteSetting->find('all');
		
		foreach($settings as $setting) {
			
			Configure::write('SiteSetting.' . $setting['SiteSetting']['name'], $setting['SiteSetting']['value']);
			
		}
		
	}
	
}